Package org.apache.tapestry5.internal.services

## Class ResourceDigestManagerImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.ResourceDigestManagerImpl

- All Implemented Interfaces:
    `InvalidationEventHub`, `ResourceDigestManager`

      public class ResourceDigestManagerImpl
      extends Object
      implements ResourceDigestManager

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceDigestManagerImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addInvalidationCallback​(Runnable callback)` | Adds a callback that is invoked when an underlying tracked resource has changed.
    `void` | `addInvalidationListener​(InvalidationListener listener)` | Adds a listener, who needs to know when an underlying resource of a given category has changed (so that the receiver may discard any cached data that may have been invalidated).
    `void` | `clearOnInvalidation​(Map<?,​?> map)` | Adds a callback that clears the map.
    `String` | `getDigest​(Resource resource)` | Returns the digest for the given path.
    `boolean` | `requiresDigest​(Resource resource)` | Returns true if the path requires that the client URL for the resource include a digest to validate that the client is authorized to access the resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceDigestManagerImpl

          public ResourceDigestManagerImpl()

  - ### Method Detail

    - #### getDigest

          public String getDigest​(Resource resource)

      Description copied from interface: `ResourceDigestManager`
      Returns the digest for the given path. As of 5.4, simple returns null.
      Specified by:
        `getDigest` in interface `ResourceDigestManager`
      Returns:
        the digest, or null if the resource does not exist

    - #### requiresDigest

          public boolean requiresDigest​(Resource resource)

      Description copied from interface: `ResourceDigestManager`
      Returns true if the path requires that the client URL for the resource include a digest to validate that the client is authorized to access the resource. As of 5.4, simply returns false.
      Specified by:
        `requiresDigest` in interface `ResourceDigestManager`
      Returns:
        true if digest is required for the resource
      See Also:
        `ResourceDigestGenerator.requiresDigest(String)`

    - #### addInvalidationListener

          public void addInvalidationListener​(InvalidationListener listener)

      Description copied from interface: `InvalidationEventHub`
      Adds a listener, who needs to know when an underlying resource of a given category has changed (so that the receiver may discard any cached data that may have been invalidated). Does nothing in production mode.
      Specified by:
        `addInvalidationListener` in interface `InvalidationEventHub`

    - #### addInvalidationCallback

          public void addInvalidationCallback​(Runnable callback)

      Description copied from interface: `InvalidationEventHub`
      Adds a callback that is invoked when an underlying tracked resource has changed. Does nothing in production mode.
      Specified by:
        `addInvalidationCallback` in interface `InvalidationEventHub`

    - #### clearOnInvalidation

          public void clearOnInvalidation​(Map<?,​?> map)

      Description copied from interface: `InvalidationEventHub`
      Adds a callback that clears the map.
      Specified by:
        `clearOnInvalidation` in interface `InvalidationEventHub`